VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Splitter"
   ClientHeight    =   3465
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   4125
   LinkTopic       =   "Form1"
   MousePointer    =   7  'Size N S
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   3465
   ScaleWidth      =   4125
   Begin VB.PictureBox Picture2 
      BackColor       =   &H0080C0FF&
      Height          =   495
      Left            =   120
      MousePointer    =   1  'Arrow
      ScaleHeight     =   435
      ScaleWidth      =   1155
      TabIndex        =   1
      Top             =   1440
      Width           =   1215
   End
   Begin VB.PictureBox Picture1 
      BackColor       =   &H0080FF80&
      Height          =   495
      Left            =   120
      MousePointer    =   1  'Arrow
      ScaleHeight     =   435
      ScaleWidth      =   1155
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Const SPLITTER_HEIGHT = 40

' The percentage occupied by the first PictureBox.
Private Percentage1 As Single

' True when we are dragging the splitter.
Private Dragging As Boolean
' Arrange the controls on the form.
Private Sub ArrangeControls()
Dim hgt1 As Single
Dim hgt2 As Single

    ' Don't bother if we're iconized.
    If WindowState = vbMinimized Then Exit Sub

    hgt1 = (ScaleHeight - SPLITTER_HEIGHT) * Percentage1
    Picture1.Move 0, 0, ScaleWidth, hgt1

    hgt2 = (ScaleHeight - SPLITTER_HEIGHT) - hgt1
    Picture2.Move 0, hgt1 + SPLITTER_HEIGHT, ScaleWidth, hgt2
End Sub

Private Sub Form_Load()
    ' Start with the split in the middle.
    Percentage1 = 0.5
End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Dragging = True
End Sub


Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Not Dragging Then Exit Sub

    Percentage1 = Y / ScaleHeight
    If Percentage1 < 0 Then Percentage1 = 0
    If Percentage1 > 1 Then Percentage1 = 1
    ArrangeControls
End Sub

Private Sub Form_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Dragging = False
End Sub


Private Sub Form_Resize()
    ArrangeControls
End Sub

